Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.j3d.utils.behaviors.vp
Class WandViewBehavior.GrabViewListener6D

    java.lang.Object
      com.sun.j3d.utils.behaviors.sensor.SensorInputAdaptor
          com.sun.j3d.utils.behaviors.vp.WandViewBehavior.ListenerBase
              com.sun.j3d.utils.behaviors.vp.WandViewBehavior.GrabViewListener6D

All Implemented Interfaces:
  SensorButtonListener, SensorReadListener

Enclosing class:
  WandViewBehavior

    public class WandViewBehavior.GrabViewListener6D

extends WandViewBehavior.ListenerBase

Implements a 6DOF sensor button listener to directly manipulate the view platform transform. The view platform moves in inverse response to the sensor's position and orientation to give the effect of attaching the virtual world to the sensor's echo.

See Also:
  `WandViewBehavior.setButtonAction6D(int, int)`

Field Summary

Fields inherited from class com.sun.j3d.utils.behaviors.vp.WandViewBehavior.ListenerBase
`sensorToTracker, sensorToVworld, trackerToVworld, viewPlatformToVworld`

Constructor Summary
`WandViewBehavior.GrabViewListener6D()`

Method Summary
`void` | `dragged(SensorEvent e)` This method is called with each invocation of the `dispatchEvents` method of `SensorEventAgent` if any button bound to the listener is down and has not changed state since the last invocation.
`void` | `pressed(SensorEvent e)` This method is called when a sensor's button is pressed.

Methods inherited from class com.sun.j3d.utils.behaviors.vp.WandViewBehavior.ListenerBase
`conditionViewScale, endAction, getPhysicalToViewPlatformScale, getPhysicalToVirtualScale, initAction, isActive, released, transformAboutCenter, translateTransform`

Methods inherited from class com.sun.j3d.utils.behaviors.sensor.SensorInputAdaptor
`clicked, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WandViewBehavior.GrabViewListener6D

    public WandViewBehavior.GrabViewListener6D()

Method Detail

### pressed

    public void pressed(SensorEvent e)

  Description copied from interface: `SensorButtonListener`
  This method is called when a sensor's button is pressed.

  Specified by:
    `pressed` in interface `SensorButtonListener`
  Overrides:
    `pressed` in class `WandViewBehavior.ListenerBase`
  Parameters:
    `e` - the sensor event

### dragged

    public void dragged(SensorEvent e)

  Description copied from interface: `SensorButtonListener`
  This method is called with each invocation of the `dispatchEvents` method of `SensorEventAgent` if any button bound to the listener is down and has not changed state since the last invocation. The sensor value has not necessarily changed from the last drag event.

  Specified by:
    `dragged` in interface `SensorButtonListener`
  Overrides:
    `dragged` in class `SensorInputAdaptor`
  Parameters:
    `e` - the sensor event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD